> For clean Markdown of any page, append .md to the page URL. > For a complete documentation index, see https://mailchimp.com/developer/marketing/api/ecommerce/update-store-product/llms.txt. > For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://mailchimp.com/_mcp/server. # Update product PATCH https://api.mailchimp.com/3.0/ecommerce/stores/{store_id}/products/{product_id} Content-Type: application/json Update a specific product. Reference: https://mailchimp.com/developer/marketing/api/ecommerce/update-store-product ## Authentication - `Authorization` header (bearer token, required) — Authorization using a Mailchimp API key (a.k.a. Bearer token) - `Authorization` header (bearer token, required) — Authorization using OAuth ## Request ### Path parameters - `store_id` (string, required) — The store id. - `product_id` (string, required) — The id for the product of a store. ### Body (application/json) This endpoint expects an object. - `description` (string, optional) — The description of a product. - `handle` (string, optional) — The handle of a product. - `id` (30EcommerceStoresStoreIdProductsProductIdPatchRequestBodyContentApplicationJsonSchemaId, optional) — A unique identifier for the product. - `image_url` (string, optional) — The image URL for a product. - `images` (list of 30EcommerceStoresStoreIdProductsProductIdPatchRequestBodyContentApplicationJsonSchemaImagesItems, optional) — An array of the product's images. - `published_at_foreign` (string, optional) — The date and time the product was published in ISO 8601 format. - `title` (string, optional) — The title of a product. - `type` (string, optional) — The type of product. - `url` (string, optional) — The URL for a product. - `variants` (list of 30EcommerceStoresStoreIdProductsProductIdPatchRequestBodyContentApplicationJsonSchemaVariantsItems, optional) — An array of the product's variants. At least one variant is required for each product. A variant can use the same `id` and `title` as the parent product. - `vendor` (string, optional) — The vendor for a product. ## Response ### 200 - `_links` (list of ECommerceProductLinksItems, optional) — A list of link types and descriptions for the API schema documents. - `currency_code` (string, optional) — The currency code - `description` (string, optional) — The description of a product. - `handle` (string, optional) — The handle of a product. - `id` (string, optional) — A unique identifier for the product. - `image_url` (string, optional) — The image URL for a product. - `images` (list of ECommerceProductImagesItems, optional) — An array of the product's images. - `published_at_foreign` (datetime, optional) — The date and time the product was published in ISO 8601 format. - `title` (string, optional) — The title of a product. - `type` (string, optional) — The type of product. - `url` (string, optional) — The URL for a product. - `variants` (list of ECommerceProductVariant, optional) — Returns up to 50 of the product's variants. To retrieve all variants use [Product Variants](https://mailchimp.com/developer/marketing/api/ecommerce-product-variants/). - `vendor` (string, optional) — The vendor for a product. ## Types ### 30EcommerceStoresStoreIdProductsProductIdPatchRequestBodyContentApplicationJsonSchemaId A unique identifier for the product. ### 30EcommerceStoresStoreIdProductsProductIdPatchRequestBodyContentApplicationJsonSchemaImagesItems Information about a specific product image. - `id` (string, optional) — A unique identifier for the product image. - `url` (string, optional) — The URL for a product image. - `variant_ids` (list of 30EcommerceStoresStoreIdProductsProductIdPatchRequestBodyContentApplicationJsonSchemaImagesItemsVariantIdsItems, optional) — The list of product variants using the image. ### 30EcommerceStoresStoreIdProductsProductIdPatchRequestBodyContentApplicationJsonSchemaVariantsItems Information about a specific product variant. - `backorders` (string, optional) — The backorders of a product variant. - `image_url` (string, optional) — The image URL for a product variant. - `inventory_quantity` (integer, optional) — The inventory quantity of a product variant. - `price` (30EcommerceStoresStoreIdProductsProductIdPatchRequestBodyContentApplicationJsonSchemaVariantsItemsPrice, optional) - `sku` (string, optional) — The stock keeping unit (SKU) of a product variant. - `title` (string, optional) — The title of a product variant. - `url` (string, optional) — The URL for a product variant. - `visibility` (string, optional) — The visibility of a product variant. ### ECommerceProductLinksItems This object represents a link from the resource where it is found to another resource or action that may be performed. - `href` (string, optional) — This property contains a fully-qualified URL that can be called to retrieve the linked resource or perform the linked action. - `method` (enum, optional) — The HTTP method that should be used when accessing the URL defined in 'href'. - Allowed values: `GET`, `POST`, `PUT`, `PATCH`, `DELETE`, `OPTIONS`, `HEAD` - `rel` (string, optional) — As with an HTML 'rel' attribute, this describes the type of link. - `schema` (string, optional) — For HTTP methods that can receive bodies (POST and PUT), this is a URL representing the schema that the body should conform to. - `targetSchema` (string, optional) — For GETs, this is a URL representing the schema that the response should conform to. ### ECommerceProductImagesItems Information about a specific product image. - `_links` (list of ECommerceProductImagesItemsLinksItems, optional) — A list of link types and descriptions for the API schema documents. - `id` (string, optional) — A unique identifier for the product image. - `url` (string, optional) — The URL for a product image. - `variant_ids` (list of string, optional) — The list of product variants using the image. ### ECommerceProductVariant Information about a specific product variant. - `_links` (list of ECommerceProductVariantLinksItems, optional) — A list of link types and descriptions for the API schema documents. - `backorders` (string, optional) — The backorders of a product variant. - `created_at` (datetime, optional) — The date and time the product was created in ISO 8601 format. - `id` (string, optional) — A unique identifier for the product variant. - `image_url` (string, optional) — The image URL for a product variant. - `inventory_quantity` (integer, optional) — The inventory quantity of a product variant. - `price` (double, optional) — The price of a product variant. - `sku` (string, optional) — The stock keeping unit (SKU) of a product variant. - `title` (string, optional) — The title of a product variant. - `updated_at` (datetime, optional) — The date and time the product was last updated in ISO 8601 format. - `url` (string, optional) — The URL for a product variant. - `visibility` (string, optional) — The visibility of a product variant. ### 30EcommerceStoresStoreIdProductsProductIdPatchRequestBodyContentApplicationJsonSchemaImagesItemsVariantIdsItems ### 30EcommerceStoresStoreIdProductsProductIdPatchRequestBodyContentApplicationJsonSchemaVariantsItemsPrice ### ECommerceProductImagesItemsLinksItems This object represents a link from the resource where it is found to another resource or action that may be performed. - `href` (string, optional) — This property contains a fully-qualified URL that can be called to retrieve the linked resource or perform the linked action. - `method` (enum, optional) — The HTTP method that should be used when accessing the URL defined in 'href'. - Allowed values: `GET`, `POST`, `PUT`, `PATCH`, `DELETE`, `OPTIONS`, `HEAD` - `rel` (string, optional) — As with an HTML 'rel' attribute, this describes the type of link. - `schema` (string, optional) — For HTTP methods that can receive bodies (POST and PUT), this is a URL representing the schema that the body should conform to. - `targetSchema` (string, optional) — For GETs, this is a URL representing the schema that the response should conform to. ### ECommerceProductVariantLinksItems This object represents a link from the resource where it is found to another resource or action that may be performed. - `href` (string, optional) — This property contains a fully-qualified URL that can be called to retrieve the linked resource or perform the linked action. - `method` (enum, optional) — The HTTP method that should be used when accessing the URL defined in 'href'. - Allowed values: `GET`, `POST`, `PUT`, `PATCH`, `DELETE`, `OPTIONS`, `HEAD` - `rel` (string, optional) — As with an HTML 'rel' attribute, this describes the type of link. - `schema` (string, optional) — For HTTP methods that can receive bodies (POST and PUT), this is a URL representing the schema that the body should conform to. - `targetSchema` (string, optional) — For GETs, this is a URL representing the schema that the response should conform to. ## Examples **Request** ```json {} ``` **Response** ```json { "_links": [ { "href": "string", "method": "GET", "rel": "string", "schema": "string", "targetSchema": "string" } ], "currency_code": "string", "description": "This is a cat hat.", "handle": "cat-hat", "id": "string", "image_url": "string", "images": [ { "_links": [ { "href": "string", "method": "GET", "rel": "string", "schema": "string", "targetSchema": "string" } ], "id": "string", "url": "string", "variant_ids": [ "string" ] } ], "published_at_foreign": "2015-07-15T19:28:00+00:00", "title": "Cat Hat", "type": "Accessories", "url": "string", "variants": [ { "_links": [ { "href": "string", "method": "GET", "rel": "string", "schema": "string", "targetSchema": "string" } ], "backorders": "string", "created_at": "2015-07-15T19:28:00+00:00", "id": "string", "image_url": "string", "inventory_quantity": 1, "price": 1.1, "sku": "string", "title": "Cat Hat", "updated_at": "2015-07-15T19:28:00+00:00", "url": "string", "visibility": "string" } ], "vendor": "string" } ``` **SDK Code** ```python import requests url = "https://api.mailchimp.com/3.0/ecommerce/stores/store_id/products/product_id" payload = {} headers = { "Authorization": "Bearer ", "Content-Type": "application/json" } response = requests.patch(url, json=payload, headers=headers) print(response.json()) ``` ```javascript const url = 'https://api.mailchimp.com/3.0/ecommerce/stores/store_id/products/product_id'; const options = { method: 'PATCH', headers: {Authorization: 'Bearer ', 'Content-Type': 'application/json'}, body: '{}' }; try { const response = await fetch(url, options); const data = await response.json(); console.log(data); } catch (error) { console.error(error); } ``` ```go package main import ( "fmt" "strings" "net/http" "io" ) func main() { url := "https://api.mailchimp.com/3.0/ecommerce/stores/store_id/products/product_id" payload := strings.NewReader("{}") req, _ := http.NewRequest("PATCH", url, payload) req.Header.Add("Authorization", "Bearer ") req.Header.Add("Content-Type", "application/json") res, _ := http.DefaultClient.Do(req) defer res.Body.Close() body, _ := io.ReadAll(res.Body) fmt.Println(res) fmt.Println(string(body)) } ``` ```ruby require 'uri' require 'net/http' url = URI("https://api.mailchimp.com/3.0/ecommerce/stores/store_id/products/product_id") http = Net::HTTP.new(url.host, url.port) http.use_ssl = true request = Net::HTTP::Patch.new(url) request["Authorization"] = 'Bearer ' request["Content-Type"] = 'application/json' request.body = "{}" response = http.request(request) puts response.read_body ``` ```java import com.mashape.unirest.http.HttpResponse; import com.mashape.unirest.http.Unirest; HttpResponse response = Unirest.patch("https://api.mailchimp.com/3.0/ecommerce/stores/store_id/products/product_id") .header("Authorization", "Bearer ") .header("Content-Type", "application/json") .body("{}") .asString(); ``` ```php request('PATCH', 'https://api.mailchimp.com/3.0/ecommerce/stores/store_id/products/product_id', [ 'body' => '{}', 'headers' => [ 'Authorization' => 'Bearer ', 'Content-Type' => 'application/json', ], ]); echo $response->getBody(); ``` ```csharp using RestSharp; var client = new RestClient("https://api.mailchimp.com/3.0/ecommerce/stores/store_id/products/product_id"); var request = new RestRequest(Method.PATCH); request.AddHeader("Authorization", "Bearer "); request.AddHeader("Content-Type", "application/json"); request.AddParameter("application/json", "{}", ParameterType.RequestBody); IRestResponse response = client.Execute(request); ``` ```swift import Foundation let headers = [ "Authorization": "Bearer ", "Content-Type": "application/json" ] let parameters = [] as [String : Any] let postData = JSONSerialization.data(withJSONObject: parameters, options: []) let request = NSMutableURLRequest(url: NSURL(string: "https://api.mailchimp.com/3.0/ecommerce/stores/store_id/products/product_id")! as URL, cachePolicy: .useProtocolCachePolicy, timeoutInterval: 10.0) request.httpMethod = "PATCH" request.allHTTPHeaderFields = headers request.httpBody = postData as Data let session = URLSession.shared let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in if (error != nil) { print(error as Any) } else { let httpResponse = response as? HTTPURLResponse print(httpResponse) } }) dataTask.resume() ``` > Find all the Mailchimp API documentation and tools developers need to send marketing and transactional emails.